Results 1 to 9 of 9

Thread: Cuda issue with Nvidia 9400 GT

Hybrid View

  1. #1
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default Cuda issue with Nvidia 9400 GT

    I"m running BT4 final.

    I have installed:

    nvidia-glx-195-dev
    nvidia-195-libvdpau
    nvidia-settings (190.36-0ubuntu5)
    nvidia-195-kernel-source
    nvclock (0.8b3-1ubuntu1)
    nvidia-glx-195
    cpyrit-duca (0.3.1-bt1)

    At this point the graphics are perfect. My display is clear and the resolution is great. So I know the drivers are properly installed.


    When I try to install the cuda-toolkit (using packet manager), it tells me it will install "nvidia-driver" So I proceed, but during the installation, I get an error message,

    "E: /var/cache/apt/archives/nvidia-driver_195.36.15-bt0_i386.deb: trying to overwrite `/usr/lib/libGL.so.195.36.15', which is also in package nvidia-glx-195"

    I don't know what do do next. I've searched, but can't find any info... I've uninstalled my nvidia packages and tried installing "nvidia-driver" but then my screen is messed up.

    please advise,

    thanks.

  2. #2
    Senior Member lordplagueis's Avatar
    Join Date
    Jan 2010
    Location
    Virginia
    Posts
    106

    Default Re: Cuda issue with Nvidia 9400 GT

    uninstall anything that has to do with nvidia from your box then download and install the cuda toolkit (ubuntu 9.10) version and the nvidia dev driver (install the dev driver first)
    CUDA Toolkit 3.1 (June 2010)
    HP DV7
    8GB DDR3
    Core i7-720QM
    Nvidia GeForce GT 320M

    BT5-64bit x WIN7-64bit DualBoot

  3. #3
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default Re: Cuda issue with Nvidia 9400 GT

    Quote Originally Posted by lordplagueis View Post
    uninstall anything that has to do with nvidia from your box then download and install the cuda toolkit (ubuntu 9.10) version and the nvidia dev driver (install the dev driver first)
    CUDA Toolkit 3.1 (June 2010)
    Thanks Lordplagueis. I removed all nvidia references from the synaptic packet manager.

    I am able to apt-get install cuda-toolkit. But I'm now having a problem running:

    "apt-get install cuda-sdk"

    I get an error message saying

    "Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Couldn't find package cuda-sdk"

    I don't know how to proceed with installing the cuda-sdk.

    Please advise if I there is a work around for this.

    thanks.

  4. #4
    Senior Member lordplagueis's Avatar
    Join Date
    Jan 2010
    Location
    Virginia
    Posts
    106

    Default Re: Cuda issue with Nvidia 9400 GT

    HP DV7
    8GB DDR3
    Core i7-720QM
    Nvidia GeForce GT 320M

    BT5-64bit x WIN7-64bit DualBoot

  5. #5
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default Re: Cuda issue with Nvidia 9400 GT

    Quote Originally Posted by lordplagueis View Post
    I had to wipe out my installation and start over as my drivers seemed to conflict with the "nvidia-driver" 195.36.15.bt1

    I have the nvidia-glx-180.53 drivers installed and the display on my monitor seems ok.

    When I use synaptic packet manager to install cuda-sdk, it tries to install the "nvidia-driver" 195.36.15-bt1. This leads to a conflict. "E: /var/cache/apt/archives/nvidia-driver_195.36.15-bt1_i386.deb: trying to overwrite `/usr/lib/xorg/modules/drivers/nvidia_drv.so', which is also in package nvidia-glx-180"

    Pardon the noob question, but should I be installing nvidia-glx-195.36.15 and if so where can I get it from ? Is there a respository that I should add that would make the installation process easier ?

    Can you also tell me which third party sources you recommend I use for my packet repository sources ?

  6. #6
    Developer
    Join Date
    Mar 2007
    Posts
    6,124

    Default Re: Cuda issue with Nvidia 9400 GT

    The only nvidia driver you should need is the one in our repo. I have, however had a few people say they are having issues. I am currently out of the country but when I get home at the end of the week I will be going through and making sure every thing on the nvidia-driver is working and all the cuda tools. Please be patient and we will try to get it sorted out.

  7. #7
    Junior Member
    Join Date
    Dec 2007
    Posts
    88

    Default

    Thanks PureHate.

    I look forward to getting the cuda tools up and running on the Nvidia 9400GT after you are able check out the nvidia-driver issue.

    regards...

    Hi Purehate,

    I've now installed Backtrack Final R1. When I try to install the Nvidia drivers, I only have the option for "version 173", "version 177", "version 71" or "version 96." I read some where else that the Nvidia 9400 GT is only supported after "version 180.51." ( http://www.phoronix.com/scan.php?pag...item&px=NzIxNg ) (I was using Backtrack Final with nvidia version 180.53 ; however, cuda and pyrit didn't work for me as I could not install the "nvidia-drivers." )

    Please advise what I should do.

    I went ahead and installed the nvidia "version 177" drivers. Then tried installing the "nvidia-drivers" and ended up the usual message I got when I was running backtrack 4 final:

    root@bt:~# apt-get install nvidia-driver
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following NEW packages will be installed:
    nvidia-driver
    0 upgraded, 1 newly installed, 0 to remove and 126 not upgraded.
    Need to get 19.3MB of archives.
    After this operation, 81.4MB of additional disk space will be used.
    Get:1 SUN Backtrack Linux Repository pwnsauce/microverse nvidia-driver 195.36.15-bt1 [19.3MB]
    Fetched 19.3MB in 7min11s (44.6kB/s)
    Selecting previously deselected package nvidia-driver.
    (Reading database ... 258629 files and directories currently installed.)
    Unpacking nvidia-driver (from .../nvidia-driver_195.36.15-bt1_i386.deb) ...
    ################################################## #################
    # #
    # This package will not be installed if the X-server is running #
    # Please stop X with ctl-alt-backspace and reinstall this package #
    # #
    ################################################## #################
    dpkg: error processing /var/cache/apt/archives/nvidia-driver_195.36.15-bt1_i386.deb (--unpack):
    trying to overwrite `/usr/lib/xorg/modules/drivers/nvidia_drv.so', which is also in package nvidia-glx-177
    dpkg-deb: subprocess paste killed by signal (Broken pipe)
    Errors were encountered while processing:
    /var/cache/apt/archives/nvidia-driver_195.36.15-bt1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Ok, if you've read my 2 previous posts, you'll notice I tried as much as I could to get the Nvidia Geforce 9400GT card to install properly with the backtrack repository. But for some reason the drivers were an issue.

    I manually started downloading the drivers from the nvidia site and I'm now able to use Cuda.

    Here's how I got Cuda to function properly with the 9400GT card. Before I go on, please note that this is an excellent forum; however, downloading non-respository files are a concern and you take the chance or ruining your installation and people here might not be able to help you once you start installing non-repository software.

    1. Do a fresh install of backtrack 4 final, Release 1:

    download and install the following:
    1. NVIDIA-Linux-x86-256.44.run
    2. devdriver_3.1_linux_32_256.40.run
    3. cudatoolkit_3.1_linux_32_ubuntu9.10.run
    4. gpucomputingsdk_3.1_linux.run

    Then install:

    1. apt-get install cuda-multiforcer
    2. apt-get install pyrit cpyrit-cuda

    Update cuda multiforcer path for libraries by editing

    1. /etc/ld.so.conf so that it has the following entries:

    include /etc/ld.so.conf.d/*.conf
    /opt/cuda/lib
    /pentest/passwords/cuda-multiforcer/lib32

    save the file and exit.

    2. ldconfig (this will re-run the config file)
    3. ldconfig -v | grep cuda (this will show the path to the library)



    Good luck,
    Last edited by Archangel-Amael; 08-25-2010 at 08:45 AM.

  8. #8
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default Re: Cuda issue with Nvidia 9400 GT

    Check the repos for new drivers I think they were committed yesterday or so.
    This may solve your problems. It might even be best to do so from a clean install.
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  9. #9
    Just burned his ISO
    Join Date
    Aug 2010
    Posts
    2

    Default Re: Cuda issue with Nvidia 9400 GT

    GTX480 users:

    I received the following error:

    "SystemError: CUDA_ERROR_INVALID SOURCE"

    Here is the Pyrit dicussion on this:

    Issue 153 - pyrit - No commands function on GTX 470 - Project Hosting on Google Code

    SOLUTION:

    Code:
    apt-get remove pyrit
    Then:

    Code:
    svn checkout http://pyrit.googlecode.com/svn/trunk/ pyrit_svn
    cd pyrit
    python setup.py build
    sudo python setup.py install
    cd ../cyprit_cuda
    python setup.py build
    sudo python setup.py install

Similar Threads

  1. Replies: 2
    Last Post: 04-22-2010, 12:45 AM
  2. NVidia Drivers and CUDA *Complete Guide*
    By nishant in forum BackTrack Howtos
    Replies: 6
    Last Post: 02-06-2010, 05:31 PM
  3. Nvidia cpyrit-cuda
    By mixit in forum Beginners Forum
    Replies: 6
    Last Post: 01-27-2010, 02:25 AM
  4. pyrit CUDA nvidia Tutorial + Nvidia overclock instructions
    By purehate in forum OLD BT4beta HowTo's
    Replies: 155
    Last Post: 01-26-2010, 12:27 AM
  5. broken backtrack-nvidia :: cuda-dbg
    By reecx in forum OLD BackTrack 4 Bugs and Fixes
    Replies: 2
    Last Post: 12-14-2009, 06:53 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •